ELRepo Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000426 [channel: elrepo/el6] nvidia-detect minor always 2013-11-14 11:14 2013-12-04 07:54
Reporter db2z07 View Status public  
Assigned To pperry
Priority normal Resolution fixed  
Status resolved  
Summary 0000426: nvidia-detect requires Xorg to have been run before it works
Description In the latest version of nvidia-detect (331.20-1) it tries to open the Xorg log file to determine ABI compatibility. This is a problem in fresh installs where a script uses nvidia-detect as Xorg will never have been started yet (we haven't installed the NVIDIA driver!). The output is as follows:

Probing for supported NVIDIA devices...
[10de:0659] NVIDIA Corporation G96 [Quadro FX 580]
This device requires the current 331.20 NVIDIA driver kmod-nvidia
WARNING: Xorg log file /var/log/Xorg.0.log does not exist
WARNING: Unable to determine Xorg ABI compatibility
WARNING: The driver for this device does not support the current Xorg version

The tool returns "1" which means that my setup script thinks no suitable NVIDIA cards were found, but if you install the driver as it says everything works fine. Essentially the new version of nvidia-detect will only work after Xorg has started - but I don't want to start it until I've installed the driver (in fact, I can't!).

Once Xorg has started, and the log file appears, nvidia-detect works fine.

Can you make the Xorg ABI compatibility check optional, either let me disable it via --no-xorg-check or disable it by default and let the --xorg flag you added be used to enable it?
Additional Information
Tags No tags attached.
Attached Files ? file icon nvidia-detect_no_Xorg_log_present.patch [^] (916 bytes) 2013-11-15 20:15

- Relationships

-  Notes
(0003341)
toracat (administrator)
2013-11-14 11:22

Thank you for submitting this bug report. We'll look into this shortly.
(0003345)
db2z07 (reporter)
2013-11-14 15:38

Many thanks :)
(0003347)
pperry (administrator)
2013-11-16 06:48

Hi,

Sorry for not responding sooner, but we have been giving this some thought.

Besides the two possible solutions you suggest above, I have a third possible solution I'd like to propose and seek your opinion on:

How about if the outcome of the xorg compatibility checks do not affect the returned value, so the return code purely reflects the detected hardware and associated driver that supports that hardware. So in your case above the returned numeric value would be as expected.

The results of the xorg compatibility checks would be purely informational text as output to the screen. When called from a script you can redirect this output to /dev/null if desired.

Would this work for you?
(0003349)
db2z07 (reporter)
2013-11-18 01:39

That solution would work for us, that way our installer can continue and install the right graphics card driver irrespective of whether Xorg has run yet or not. Cheers.
(0003350)
pperry (administrator)
2013-11-18 11:02

Great. I'll get updated packages out as soon as I get the chance.

Apologies for the inconvenience.
(0003370)
pperry (administrator)
2013-11-20 04:49

Updated nvidia-detect-331.20-2 packages released to the main elrepo repositories for el5 and el6.

Packages are currently syncing to the mirrors.

These updated packages will always return the return value for the detected hardware device irrespective of the Xorg Server compatibility status.

Please could you test and confirm they work as expected for you.

Thanks.

- Issue History
Date Modified Username Field Change
2013-11-14 11:14 db2z07 New Issue
2013-11-14 11:14 db2z07 Status new => assigned
2013-11-14 11:14 db2z07 Assigned To => pperry
2013-11-14 11:22 toracat Note Added: 0003341
2013-11-14 13:08 burakkucat File Added: nvidia-detect.txt
2013-11-14 15:38 db2z07 Note Added: 0003345
2013-11-14 16:17 pperry File Deleted: nvidia-detect.txt
2013-11-15 20:15 burakkucat File Added: nvidia-detect_no_Xorg_log_present.patch
2013-11-16 06:48 pperry Note Added: 0003347
2013-11-16 06:49 pperry Status assigned => feedback
2013-11-18 01:39 db2z07 Note Added: 0003349
2013-11-18 11:02 pperry Note Added: 0003350
2013-11-18 11:03 pperry Status feedback => assigned
2013-11-20 04:49 pperry Note Added: 0003370
2013-11-20 10:23 burakkucat Status assigned => feedback
2013-12-04 07:54 pperry Status feedback => resolved
2013-12-04 07:54 pperry Resolution open => fixed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker